<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package insucom
 */
 
$scroll_top = insucom_get_customize_option('back_top_enable', true);


?>

		<?php
		
		// Select Footer Style
		
		$insucom_footer_global = insucom_get_customize_option( 'footer_style' ); // Global
		$insucom_footer_style =  get_post_meta( get_the_ID(), 'insucom_post_meta', true ); // Post Metabox

		if( is_page() && !empty( $insucom_footer_style  ) ) {
		 
			get_template_part( 'template-parts/footers/'.$insucom_footer_style['footer_style'].'' ); 
		
		} elseif ( class_exists( 'CSF' ) && !empty( $insucom_footer_global ) ) {
			
			get_template_part( 'template-parts/footers/'.$insucom_footer_global.'' ); 
			
		} else {
			
			get_template_part( 'template-parts/footers/footer-style-one' ); 
			
		}
	
		?>

	
	</div>
	

   <?php wp_footer(); ?>

   </body>
</html>

