<?php 
/*
 * Portfolio single content
 * @package Kewi
 * @since 1.0.0
 * */  
?> 


<a href="<?php the_permalink(); ?>">
    <div class="w-full relative group">
    <!-- thumb-->
        <div class="w-full h-[440px] rounded overflow-hidden">
            <img src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" class="w-full h-full object-cover" alt="<?php the_title_attribute(); ?>">
        </div>
        <div class="w-full px-10 absolute -bottom-[34px]">
            <div
            style="box-shadow: 0 0 60px rgba(0, 0, 0, 0.05)"
            class="w-full h-[68px] bg-white rounded flex justify-center items-center group-hover:bg-primary-500 common-trans"
            >
            <span
            class="text-lg font-bold spline-sans text-primary-900 group-hover:text-white common-trans"
            ><?php echo esc_html(get_the_title()); ?></span
            >
            </div>
        </div>
    </div>
</a>



