<?php 

/**
 * All Elementor widget init
 * @package Minerva
 * @since 1.0.0
 */

function register_insucom_widgets ( $widgets_manager ) {

	// require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-animated-text-elementor-widget.php' );
	// require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-blog-slider-main-elementor-widget.php' );
	// require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-elementor-widget.php' );
	// require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-grid-elementor-widget.php' );
	// require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-post-creative-list-elementor-widget.php' );
	// //require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-section-title-elementor-widget.php' );

	//require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/class-slider-main-elementor-widget.php' );

	
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-banner-style-one.php' );
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-one-about-section.php' );
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-insurance-carousel-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-facts-faq-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-two-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-testimonials-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-contact-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-blog-column.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-banner-style-two.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-two-about-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-section-three.php' );
	
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-clients-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-features-tab-section.php' );
	
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-facts-faq-section-two.php' );
	
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-testimonials-section-two.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-process-section.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-contact-info-box.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-contact-section-two.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-single-box.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-section-creative.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-project-box.php' );
	
	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-blog-column-two.php' );

	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-services-cat-list.php' );


	require_once( INSUCOM_EXTRA_ELEMENTOR . '/widgets/home-work-with-us-box.php' );

	
	
	


	// $widgets_manager->register( new \insucom_animated_text() );
	// $widgets_manager->register( new \insucom_post_block_slider() );
	// $widgets_manager->register( new \insucom_post_block_item() );
	// $widgets_manager->register( new \insucom_post_block_item_grid() );
	// $widgets_manager->register( new \insucom_post_creative_list() );
	// $widgets_manager->register( new \Insucom_Heading_Title_Widget() );
	//$widgets_manager->register( new \insucom_post_slider_main() );

	$widgets_manager->register( new \theme_home_banner_onee() );
	$widgets_manager->register( new \theme_home_about_one() );
	$widgets_manager->register( new \theme_home_services_one() );
	$widgets_manager->register( new \theme_home_insurance_slider() );

	$widgets_manager->register( new \theme_home_facts_faq() );
	$widgets_manager->register( new \theme_home_services_two() );

	$widgets_manager->register( new \theme_home_testimonials_one() );

	$widgets_manager->register( new \theme_home_contact() );

	$widgets_manager->register( new \theme_home_blog_grid() );

	$widgets_manager->register( new \theme_home_banner_two() );
	
	$widgets_manager->register( new \theme_home_about_two() );

	$widgets_manager->register( new \theme_home_services_three() );

	$widgets_manager->register( new \theme_home_clients() );

	$widgets_manager->register( new \theme_home_features_tab() );

	$widgets_manager->register( new \theme_home_facts_faq_two() );

	$widgets_manager->register( new \theme_home_testimonials_two() );

	$widgets_manager->register( new \theme_home_process() );

	$widgets_manager->register( new \theme_home_contact_info() );

	$widgets_manager->register( new \theme_home_contact_two() );

	$widgets_manager->register( new \theme_home_services_sbox() );

	$widgets_manager->register( new \theme_home_services_creative() );
	
	$widgets_manager->register( new \theme_home_project_box() );

	$widgets_manager->register( new \theme_home_blog_grid_two() );

	$widgets_manager->register( new \theme_home_catlist() );

	$widgets_manager->register( new \theme_home_services_work() );
	
	
	

}
add_action( 'elementor/widgets/register', 'register_insucom_widgets' );



/**
 * Insucom Elementor _widget_categories()
 * @since 1.0.0
 * */


function insucom_elementor_widget_categories($elements_manager) {

    $elements_manager->add_category(
        'insucom_widgets',
        [
            'title' => __('Insucom Widgets', 'insucom-extra'),
        ]
    );

}

add_action('elementor/elements/categories_registered', 'insucom_elementor_widget_categories');