<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package insucom
 */

get_header();

?>


	<?php 

	//Single Blog Template
	
	$insucom_singleb_global = insucom_get_customize_option( 'insucom_single_blog_layout' ); //for globally	
	$insucom_single_post_style = get_post_meta( get_the_ID(),'insucom_blog_post_meta', true );

	$theme_post_meta_single = isset($insucom_single_post_style['insucom_single_blog_layout']) && !empty($insucom_single_post_style['insucom_single_blog_layout']) ? $insucom_single_post_style['insucom_single_blog_layout'] : '';
	
	if( is_single() && !empty( $insucom_single_post_style  ) ) {
	 
		get_template_part( 'template-parts/single/'.$theme_post_meta_single.'' ); 
	
	} elseif ( class_exists( 'CSF' ) && !empty( $insucom_singleb_global ) ) {
		
		get_template_part( 'template-parts/single/'.$insucom_singleb_global.'' );  
		
	} else {
		
		get_template_part( 'template-parts/single/single-one' );  
	}
		
	?>


<?php get_footer(); ?>
